<?php 
/**
 * LoggingWidget writes the name of the view 
 * the widget is rendering in a html comment
 */
class ZLoggingWidget extends CWidget
{
	
	public function renderInternal($_viewFile_,$_data_=null,$_return_=false)
	{
		// we use special variable names here to avoid conflict when extracting data
		if(is_array($_data_))
			extract($_data_,EXTR_PREFIX_SAME,'data');
		else
				$data=$_data_;
		if($_return_)
		{
			ob_start();
			ob_implicit_flush(false);
			if (defined('LOG_VIEW_NAMES') && LOG_VIEW_NAMES) echo "\r\n<!-- BEGIN $_viewFile_ -->\r\n";
			require($_viewFile_);
			if (defined('LOG_VIEW_NAMES') && LOG_VIEW_NAMES) echo "\r\n<!-- END $_viewFile_ -->\r\n";
			return ob_get_clean();
		}
		else
		{
			if (defined('LOG_VIEW_NAMES') && LOG_VIEW_NAMES) echo "\r\n<!-- BEGIN $_viewFile_ -->\r\n";
			require($_viewFile_);
			if (defined('LOG_VIEW_NAMES') && LOG_VIEW_NAMES) echo "\r\n<!-- END $_viewFile_ -->\r\n";
		}
	}

	

}

